## org.eclipse.datatools.sqltools.sqlbuilder.sqlbuilderdialog
Class SQLBuilderDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sql.ui.dialogs.SQLPainterDlg
                  org.eclipse.datatools.sqltools.sqlbuilder.sqlbuilderdialog.SQLBuilderDialog

All Implemented Interfaces:
  IExecuteSQLListener, org.eclipse.jface.window.IShellProvider

    public class SQLBuilderDialog

extends SQLPainterDlg
implements IExecuteSQLListener

This dialog hosts the SQLBuilder and the ResultsView in a dialog.

Author:
  Jeremy Lindop

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary
`static java.lang.String` `DIALOG_TITLE`
`static java.lang.String` `TAB_EDITOR`
`static java.lang.String` `TAB_RESULTS`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SQLBuilderDialog(org.eclipse.swt.widgets.Shell parentShell, java.lang.String statementType, java.lang.String statement, java.lang.String profileName, java.lang.String database, java.lang.String parametersType, java.lang.String parameter, java.lang.String table, java.util.HashMap info)`

Method Summary
`boolean` `close()`
`void` `configureShell(org.eclipse.swt.widgets.Shell shell)`
`org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`void` `executedSQL()`
`java.lang.String` `getSQL()` Returns the SQL statement from the dialog
`boolean` `isDirty()`
`java.lang.String` `load()` Overrides `org.eclipse.datatools.sqltools.common.ui.dialog.SQLPainterDlg.load()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIALOG_TITLE

    public static final java.lang.String DIALOG_TITLE

### TAB_EDITOR

    public static final java.lang.String TAB_EDITOR

### TAB_RESULTS

    public static final java.lang.String TAB_RESULTS

Constructor Detail

### SQLBuilderDialog

    public SQLBuilderDialog(org.eclipse.swt.widgets.Shell parentShell,
                            java.lang.String statementType,
                            java.lang.String statement,
                            java.lang.String profileName,
                            java.lang.String database,
                            java.lang.String parametersType,
                            java.lang.String parameter,
                            java.lang.String table,
                            java.util.HashMap info)

Method Detail

### load

    public java.lang.String load()

  Overrides `org.eclipse.datatools.sqltools.common.ui.dialog.SQLPainterDlg.load()`

  Specified by:
    `load` in class `SQLPainterDlg`
  Returns:

### configureShell

    public void configureShell(org.eclipse.swt.widgets.Shell shell)

  Overrides:
    `configureShell` in class `org.eclipse.jface.window.Window`
  See Also:
    `Window.configureShell(org.eclipse.swt.widgets.Shell)`

### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.createDialogArea(org.eclipse.swt.widgets.Composite)`

### isDirty

    public boolean isDirty()

### getSQL

    public java.lang.String getSQL()

  Returns the SQL statement from the dialog

  Returns:

### close

    public boolean close()

  Overrides:
    `close` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Window.close()`

### executedSQL

    public void executedSQL()

  Specified by:
    `executedSQL` in interface `IExecuteSQLListener`